--- ./config/acinclude.m4.uw	2000-11-03 02:16:22.000000000 +0000
+++ ./config/acinclude.m4	2003-09-11 06:28:47.351440086 +0000
@@ -1097,24 +1097,24 @@
 if test x"${no_tcl}" = x ; then
   dnl we reset no_tcl in case something fails here
     no_tcl=true
-    AC_ARG_WITH(tclconfig, [  --with-tclconfig           directory containing tcl configuration (tclConfig.sh)],
+    AC_ARG_WITH(tclconfig, [  --with-tclconfig           directory containing tcl configuration (tcl8Config.sh)],
          with_tclconfig=${withval})
     AC_MSG_CHECKING([for Tcl configuration script])
     AC_CACHE_VAL(ac_cv_c_tclconfig,[
 
     dnl First check to see if --with-tclconfig was specified.
     if test x"${with_tclconfig}" != x ; then
-        if test -f "${with_tclconfig}/tclConfig.sh" ; then
+        if test -f "${with_tclconfig}/tcl8Config.sh" ; then
             ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
         else
-            AC_MSG_ERROR([${with_tclconfig} directory doesn't contain tclConfig.sh])
+            AC_MSG_ERROR([${with_tclconfig} directory doesn't contain tcl8Config.sh])
         fi
     fi
 
     dnl next check if it came with Tcl configuration file in the source tree
     if test x"${ac_cv_c_tclconfig}" = x ; then
         for i in $dirlist; do
-            if test -f $srcdir/$i/unix/tclConfig.sh ; then
+            if test -f $srcdir/$i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $srcdir/$i/unix; pwd)`
 	        break
             fi
@@ -1133,7 +1133,7 @@
         dnl find the exact Tcl dir. We do it this way, cause there
         dnl might be multiple version of Tcl, and we want the most recent one.
         for i in `ls -dr $tclconfpath/tcl* 2>/dev/null ` ; do
-            if test -f $i/unix/tclConfig.sh ; then
+            if test -f $i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
                 break
             fi
@@ -1145,7 +1145,7 @@
     if test x"${ac_cv_c_tclconfig}" = x ; then
         dnl Get the path to the compiler
 	ccpath=`which ${CC}  | sed -e 's:/bin/.*::'`/lib
-        if test -f $ccpath/tclConfig.sh; then
+        if test -f $ccpath/tcl8Config.sh; then
 	    ac_cv_c_tclconfig=$ccpath
         fi
     fi
@@ -1156,7 +1156,7 @@
         AC_MSG_WARN(Can't find Tcl configuration definitions)
     else
         no_tcl=""
-        TCLCONFIG=${ac_cv_c_tclconfig}/tclConfig.sh
+        TCLCONFIG=${ac_cv_c_tclconfig}/tcl8Config.sh
         AC_MSG_RESULT(${TCLCONFIG})
      fi
 fi
--- ./unix/itcl3.0/configure.uw	2000-11-05 20:26:30.000000000 +0000
+++ ./unix/itcl3.0/configure	2003-09-11 06:28:47.361360059 +0000
@@ -16,7 +16,7 @@
 ac_help="$ac_help
   --with-itcl=DIR           use ITcl 3.0 source from DIR"
 ac_help="$ac_help
-  --with-tclconfig           directory containing tcl configuration (tclConfig.sh)"
+  --with-tclconfig           directory containing tcl configuration (tcl8Config.sh)"
 ac_help="$ac_help
   --with-tkconfig           directory containing tk configuration (tkConfig.sh)"
 ac_help="$ac_help
@@ -1400,16 +1400,16 @@
   
 
         if test x"${with_tclconfig}" != x ; then
-        if test -f "${with_tclconfig}/tclConfig.sh" ; then
+        if test -f "${with_tclconfig}/tcl8Config.sh" ; then
             ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
         else
-            { echo "configure: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" 1>&2; exit 1; }
+            { echo "configure: error: ${with_tclconfig} directory doesn't contain tcl8Config.sh" 1>&2; exit 1; }
         fi
     fi
 
         if test x"${ac_cv_c_tclconfig}" = x ; then
         for i in $dirlist; do
-            if test -f $srcdir/$i/unix/tclConfig.sh ; then
+            if test -f $srcdir/$i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $srcdir/$i/unix; pwd)`
 	        break
             fi
@@ -1424,7 +1424,7 @@
         done
 
                         for i in `ls -dr $tclconfpath/tcl* 2>/dev/null ` ; do
-            if test -f $i/unix/tclConfig.sh ; then
+            if test -f $i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
                 break
             fi
@@ -1433,7 +1433,7 @@
 
             if test x"${ac_cv_c_tclconfig}" = x ; then
         	ccpath=`which ${CC}  | sed -e 's:/bin/.*::'`/lib
-        if test -f $ccpath/tclConfig.sh; then
+        if test -f $ccpath/tcl8Config.sh; then
 	    ac_cv_c_tclconfig=$ccpath
         fi
     fi
@@ -1445,7 +1445,7 @@
         echo "configure: warning: Can't find Tcl configuration definitions" 1>&2
     else
         no_tcl=""
-        TCLCONFIG=${ac_cv_c_tclconfig}/tclConfig.sh
+        TCLCONFIG=${ac_cv_c_tclconfig}/tcl8Config.sh
         echo "$ac_t""${TCLCONFIG}" 1>&6
      fi
 fi
@@ -1928,7 +1928,7 @@
 #	Read in configuration information generated by ITcl
 #	and arrange for it to be substituted into our Makefile.
 #--------------------------------------------------------------------
-file=$ITCL_ROOT_DIR/itcl/unix/itclConfig.sh
+file=$ITCL_ROOT_DIR/itcl/unix/itcl8Config.sh
 . $file
 
 #--------------------------------------------------------------------
--- ./unix/itcl3.1/configure.uw	2000-11-05 20:26:42.000000000 +0000
+++ ./unix/itcl3.1/configure	2003-09-11 06:28:47.500240057 +0000
@@ -16,7 +16,7 @@
 ac_help="$ac_help
   --with-itcl=DIR           use ITcl 3.1 source from DIR"
 ac_help="$ac_help
-  --with-tclconfig           directory containing tcl configuration (tclConfig.sh)"
+  --with-tclconfig           directory containing tcl configuration (tcl8Config.sh)"
 ac_help="$ac_help
   --with-tkconfig           directory containing tk configuration (tkConfig.sh)"
 ac_help="$ac_help
@@ -1403,16 +1403,16 @@
   
 
         if test x"${with_tclconfig}" != x ; then
-        if test -f "${with_tclconfig}/tclConfig.sh" ; then
+        if test -f "${with_tclconfig}/tcl8Config.sh" ; then
             ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
         else
-            { echo "configure: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" 1>&2; exit 1; }
+            { echo "configure: error: ${with_tclconfig} directory doesn't contain tcl8Config.sh" 1>&2; exit 1; }
         fi
     fi
 
         if test x"${ac_cv_c_tclconfig}" = x ; then
         for i in $dirlist; do
-            if test -f $srcdir/$i/unix/tclConfig.sh ; then
+            if test -f $srcdir/$i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $srcdir/$i/unix; pwd)`
 	        break
             fi
@@ -1427,7 +1427,7 @@
         done
 
                         for i in `ls -dr $tclconfpath/tcl* 2>/dev/null ` ; do
-            if test -f $i/unix/tclConfig.sh ; then
+            if test -f $i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
                 break
             fi
@@ -1436,7 +1436,7 @@
 
             if test x"${ac_cv_c_tclconfig}" = x ; then
         	ccpath=`which ${CC}  | sed -e 's:/bin/.*::'`/lib
-        if test -f $ccpath/tclConfig.sh; then
+        if test -f $ccpath/tcl8Config.sh; then
 	    ac_cv_c_tclconfig=$ccpath
         fi
     fi
@@ -1448,7 +1448,7 @@
         echo "configure: warning: Can't find Tcl configuration definitions" 1>&2
     else
         no_tcl=""
-        TCLCONFIG=${ac_cv_c_tclconfig}/tclConfig.sh
+        TCLCONFIG=${ac_cv_c_tclconfig}/tcl8Config.sh
         echo "$ac_t""${TCLCONFIG}" 1>&6
      fi
 fi
--- ./unix/itcl3.2/configure.uw	2000-11-05 20:26:54.000000000 +0000
+++ ./unix/itcl3.2/configure	2003-09-11 06:28:47.599440024 +0000
@@ -16,7 +16,7 @@
 ac_help="$ac_help
   --with-itcl=DIR           use ITcl 3.2 source from DIR"
 ac_help="$ac_help
-  --with-tclconfig           directory containing tcl configuration (tclConfig.sh)"
+  --with-tclconfig           directory containing tcl configuration (tcl8Config.sh)"
 ac_help="$ac_help
   --with-tkconfig           directory containing tk configuration (tkConfig.sh)"
 ac_help="$ac_help
@@ -1403,16 +1403,16 @@
   
 
         if test x"${with_tclconfig}" != x ; then
-        if test -f "${with_tclconfig}/tclConfig.sh" ; then
+        if test -f "${with_tclconfig}/tcl8Config.sh" ; then
             ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
         else
-            { echo "configure: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" 1>&2; exit 1; }
+            { echo "configure: error: ${with_tclconfig} directory doesn't contain tcl8Config.sh" 1>&2; exit 1; }
         fi
     fi
 
         if test x"${ac_cv_c_tclconfig}" = x ; then
         for i in $dirlist; do
-            if test -f $srcdir/$i/unix/tclConfig.sh ; then
+            if test -f $srcdir/$i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $srcdir/$i/unix; pwd)`
 	        break
             fi
@@ -1427,7 +1427,7 @@
         done
 
                         for i in `ls -dr $tclconfpath/tcl* 2>/dev/null ` ; do
-            if test -f $i/unix/tclConfig.sh ; then
+            if test -f $i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
                 break
             fi
@@ -1436,7 +1436,7 @@
 
             if test x"${ac_cv_c_tclconfig}" = x ; then
         	ccpath=`which ${CC}  | sed -e 's:/bin/.*::'`/lib
-        if test -f $ccpath/tclConfig.sh; then
+        if test -f $ccpath/tcl8Config.sh; then
 	    ac_cv_c_tclconfig=$ccpath
         fi
     fi
@@ -1448,7 +1448,7 @@
         echo "configure: warning: Can't find Tcl configuration definitions" 1>&2
     else
         no_tcl=""
-        TCLCONFIG=${ac_cv_c_tclconfig}/tclConfig.sh
+        TCLCONFIG=${ac_cv_c_tclconfig}/tcl8Config.sh
         echo "$ac_t""${TCLCONFIG}" 1>&6
      fi
 fi
--- ./unix/tk8.0/configure.uw	2000-11-05 20:25:50.000000000 +0000
+++ ./unix/tk8.0/configure	2003-09-11 06:28:47.639120022 +0000
@@ -1408,7 +1408,7 @@
 #	Makefile.
 #--------------------------------------------------------------------
 
-file=$TCL_BIN_DIR/tclConfig.sh
+file=$TCL_BIN_DIR/tcl8Config.sh
 . $file
 CC=$TCL_CC
 SHLIB_CFLAGS=$TCL_SHLIB_CFLAGS
--- ./unix/tk8.0/configure.in.uw	2000-11-03 00:48:28.000000000 +0000
+++ ./unix/tk8.0/configure.in	2003-09-11 06:28:47.797840023 +0000
@@ -222,7 +222,7 @@
 #	Makefile.
 #--------------------------------------------------------------------
 
-file=$TCL_BIN_DIR/tclConfig.sh
+file=$TCL_BIN_DIR/tcl8Config.sh
 . $file
 CC=$TCL_CC
 SHLIB_CFLAGS=$TCL_SHLIB_CFLAGS
--- ./unix/tk8.1/configure.uw	2000-11-05 10:42:46.000000000 +0000
+++ ./unix/tk8.1/configure	2003-09-11 06:28:47.807760019 +0000
@@ -14,7 +14,7 @@
 ac_help="$ac_help
   --enable-gcc            allow use of gcc if available"
 ac_help="$ac_help
-  --with-tclconfig           directory containing tcl configuration (tclConfig.sh)"
+  --with-tclconfig           directory containing tcl configuration (tcl8Config.sh)"
 ac_help="$ac_help
   --with-tkconfig           directory containing tk configuration (tkConfig.sh)"
 ac_help="$ac_help
@@ -1298,16 +1298,16 @@
   
 
         if test x"${with_tclconfig}" != x ; then
-        if test -f "${with_tclconfig}/tclConfig.sh" ; then
+        if test -f "${with_tclconfig}/tcl8Config.sh" ; then
             ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
         else
-            { echo "configure: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" 1>&2; exit 1; }
+            { echo "configure: error: ${with_tclconfig} directory doesn't contain tcl8Config.sh" 1>&2; exit 1; }
         fi
     fi
 
         if test x"${ac_cv_c_tclconfig}" = x ; then
         for i in $dirlist; do
-            if test -f $srcdir/$i/unix/tclConfig.sh ; then
+            if test -f $srcdir/$i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $srcdir/$i/unix; pwd)`
 	        break
             fi
@@ -1322,7 +1322,7 @@
         done
 
                         for i in `ls -dr $tclconfpath/tcl* 2>/dev/null ` ; do
-            if test -f $i/unix/tclConfig.sh ; then
+            if test -f $i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
                 break
             fi
@@ -1331,7 +1331,7 @@
 
             if test x"${ac_cv_c_tclconfig}" = x ; then
         	ccpath=`which ${CC}  | sed -e 's:/bin/.*::'`/lib
-        if test -f $ccpath/tclConfig.sh; then
+        if test -f $ccpath/tcl8Config.sh; then
 	    ac_cv_c_tclconfig=$ccpath
         fi
     fi
@@ -1343,7 +1343,7 @@
         echo "configure: warning: Can't find Tcl configuration definitions" 1>&2
     else
         no_tcl=""
-        TCLCONFIG=${ac_cv_c_tclconfig}/tclConfig.sh
+        TCLCONFIG=${ac_cv_c_tclconfig}/tcl8Config.sh
         echo "$ac_t""${TCLCONFIG}" 1>&6
      fi
 fi
--- ./unix/tk8.2/configure.uw	2000-11-05 20:26:04.000000000 +0000
+++ ./unix/tk8.2/configure	2003-09-11 06:28:47.827600013 +0000
@@ -14,7 +14,7 @@
 ac_help="$ac_help
   --enable-gcc            allow use of gcc if available"
 ac_help="$ac_help
-  --with-tclconfig           directory containing tcl configuration (tclConfig.sh)"
+  --with-tclconfig           directory containing tcl configuration (tcl8Config.sh)"
 ac_help="$ac_help
   --with-tkconfig           directory containing tk configuration (tkConfig.sh)"
 ac_help="$ac_help
@@ -1298,16 +1298,16 @@
   
 
         if test x"${with_tclconfig}" != x ; then
-        if test -f "${with_tclconfig}/tclConfig.sh" ; then
+        if test -f "${with_tclconfig}/tcl8Config.sh" ; then
             ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
         else
-            { echo "configure: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" 1>&2; exit 1; }
+            { echo "configure: error: ${with_tclconfig} directory doesn't contain tcl8Config.sh" 1>&2; exit 1; }
         fi
     fi
 
         if test x"${ac_cv_c_tclconfig}" = x ; then
         for i in $dirlist; do
-            if test -f $srcdir/$i/unix/tclConfig.sh ; then
+            if test -f $srcdir/$i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $srcdir/$i/unix; pwd)`
 	        break
             fi
@@ -1322,7 +1322,7 @@
         done
 
                         for i in `ls -dr $tclconfpath/tcl* 2>/dev/null ` ; do
-            if test -f $i/unix/tclConfig.sh ; then
+            if test -f $i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
                 break
             fi
@@ -1331,7 +1331,7 @@
 
             if test x"${ac_cv_c_tclconfig}" = x ; then
         	ccpath=`which ${CC}  | sed -e 's:/bin/.*::'`/lib
-        if test -f $ccpath/tclConfig.sh; then
+        if test -f $ccpath/tcl8Config.sh; then
 	    ac_cv_c_tclconfig=$ccpath
         fi
     fi
@@ -1343,7 +1343,7 @@
         echo "configure: warning: Can't find Tcl configuration definitions" 1>&2
     else
         no_tcl=""
-        TCLCONFIG=${ac_cv_c_tclconfig}/tclConfig.sh
+        TCLCONFIG=${ac_cv_c_tclconfig}/tcl8Config.sh
         echo "$ac_t""${TCLCONFIG}" 1>&6
      fi
 fi
--- ./unix/tk8.3/configure.uw	2000-11-05 20:26:16.000000000 +0000
+++ ./unix/tk8.3/configure	2003-09-11 06:28:47.837520024 +0000
@@ -14,7 +14,7 @@
 ac_help="$ac_help
   --enable-gcc            allow use of gcc if available"
 ac_help="$ac_help
-  --with-tclconfig           directory containing tcl configuration (tclConfig.sh)"
+  --with-tclconfig           directory containing tcl configuration (tcl8Config.sh)"
 ac_help="$ac_help
   --with-tkconfig           directory containing tk configuration (tkConfig.sh)"
 ac_help="$ac_help
@@ -1298,16 +1298,16 @@
   
 
         if test x"${with_tclconfig}" != x ; then
-        if test -f "${with_tclconfig}/tclConfig.sh" ; then
+        if test -f "${with_tclconfig}/tcl8Config.sh" ; then
             ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
         else
-            { echo "configure: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" 1>&2; exit 1; }
+            { echo "configure: error: ${with_tclconfig} directory doesn't contain tcl8Config.sh" 1>&2; exit 1; }
         fi
     fi
 
         if test x"${ac_cv_c_tclconfig}" = x ; then
         for i in $dirlist; do
-            if test -f $srcdir/$i/unix/tclConfig.sh ; then
+            if test -f $srcdir/$i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $srcdir/$i/unix; pwd)`
 	        break
             fi
@@ -1322,7 +1322,7 @@
         done
 
                         for i in `ls -dr $tclconfpath/tcl* 2>/dev/null ` ; do
-            if test -f $i/unix/tclConfig.sh ; then
+            if test -f $i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
                 break
             fi
@@ -1331,7 +1331,7 @@
 
             if test x"${ac_cv_c_tclconfig}" = x ; then
         	ccpath=`which ${CC}  | sed -e 's:/bin/.*::'`/lib
-        if test -f $ccpath/tclConfig.sh; then
+        if test -f $ccpath/tcl8Config.sh; then
 	    ac_cv_c_tclconfig=$ccpath
         fi
     fi
@@ -1343,7 +1343,7 @@
         echo "configure: warning: Can't find Tcl configuration definitions" 1>&2
     else
         no_tcl=""
-        TCLCONFIG=${ac_cv_c_tclconfig}/tclConfig.sh
+        TCLCONFIG=${ac_cv_c_tclconfig}/tcl8Config.sh
         echo "$ac_t""${TCLCONFIG}" 1>&6
      fi
 fi
--- ./unix/tk8.4/configure.uw	2003-09-11 06:28:47.331600094 +0000
+++ ./unix/tk8.4/configure	2003-09-11 06:28:47.936720057 +0000
@@ -14,7 +14,7 @@
 ac_help="$ac_help
   --enable-gcc            allow use of gcc if available"
 ac_help="$ac_help
-  --with-tclconfig           directory containing tcl configuration (tclConfig.sh)"
+  --with-tclconfig           directory containing tcl configuration (tcl8Config.sh)"
 ac_help="$ac_help
   --with-tkconfig           directory containing tk configuration (tkConfig.sh)"
 ac_help="$ac_help
@@ -1298,16 +1298,16 @@
   
 
         if test x"${with_tclconfig}" != x ; then
-        if test -f "${with_tclconfig}/tclConfig.sh" ; then
+        if test -f "${with_tclconfig}/tcl8Config.sh" ; then
             ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
         else
-            { echo "configure: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" 1>&2; exit 1; }
+            { echo "configure: error: ${with_tclconfig} directory doesn't contain tcl8Config.sh" 1>&2; exit 1; }
         fi
     fi
 
         if test x"${ac_cv_c_tclconfig}" = x ; then
         for i in $dirlist; do
-            if test -f $srcdir/$i/unix/tclConfig.sh ; then
+            if test -f $srcdir/$i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $srcdir/$i/unix; pwd)`
 	        break
             fi
@@ -1322,7 +1322,7 @@
         done
 
                         for i in `ls -dr $tclconfpath/tcl* 2>/dev/null ` ; do
-            if test -f $i/unix/tclConfig.sh ; then
+            if test -f $i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
                 break
             fi
@@ -1331,7 +1331,7 @@
 
             if test x"${ac_cv_c_tclconfig}" = x ; then
         	ccpath=`which ${CC}  | sed -e 's:/bin/.*::'`/lib
-        if test -f $ccpath/tclConfig.sh; then
+        if test -f $ccpath/tcl8Config.sh; then
 	    ac_cv_c_tclconfig=$ccpath
         fi
     fi
@@ -1343,7 +1343,7 @@
         echo "configure: warning: Can't find Tcl configuration definitions" 1>&2
     else
         no_tcl=""
-        TCLCONFIG=${ac_cv_c_tclconfig}/tclConfig.sh
+        TCLCONFIG=${ac_cv_c_tclconfig}/tcl8Config.sh
         echo "$ac_t""${TCLCONFIG}" 1>&6
      fi
 fi
--- ./unix/tk8.4/Makefile.in.uw	2003-09-11 06:28:47.000000000 +0000
+++ ./unix/tk8.4/Makefile.in	2003-09-11 06:34:06.670000020 +0000
@@ -80,7 +80,7 @@
 #
 TCL_SRC_DIR     = @TCL_SRC_DIR@
 TCL_GENERIC_DIR = $(TCL_SRC_DIR)/generic
-TCL_BIN_DIR	= $(TCL_SRC_DIR)/unix
+TCL_BIN_DIR	= $(TCL_SRC_DIR)/unix/STATIC
 
 # Location of the Tk 8.x source directory.
 #
--- ./unix/configure.uw	2000-11-03 00:43:20.000000000 +0000
+++ ./unix/configure	2003-09-11 06:28:48.006160018 +0000
@@ -12,7 +12,7 @@
 ac_default_prefix=/usr/local
 # Any additions from configure.in:
 ac_help="$ac_help
-  --with-tclconfig           directory containing tcl configuration (tclConfig.sh)"
+  --with-tclconfig           directory containing tcl configuration (tcl8Config.sh)"
 ac_help="$ac_help
   --with-tkconfig           directory containing tk configuration (tkConfig.sh)"
 ac_help="$ac_help
@@ -675,16 +675,16 @@
   
 
         if test x"${with_tclconfig}" != x ; then
-        if test -f "${with_tclconfig}/tclConfig.sh" ; then
+        if test -f "${with_tclconfig}/tcl8Config.sh" ; then
             ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
         else
-            { echo "configure: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" 1>&2; exit 1; }
+            { echo "configure: error: ${with_tclconfig} directory doesn't contain tcl8Config.sh" 1>&2; exit 1; }
         fi
     fi
 
         if test x"${ac_cv_c_tclconfig}" = x ; then
         for i in $dirlist; do
-            if test -f $srcdir/$i/unix/tclConfig.sh ; then
+            if test -f $srcdir/$i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $srcdir/$i/unix; pwd)`
 	        break
             fi
@@ -699,7 +699,7 @@
         done
 
                         for i in `ls -dr $tclconfpath/tcl* 2>/dev/null ` ; do
-            if test -f $i/unix/tclConfig.sh ; then
+            if test -f $i/unix/tcl8Config.sh ; then
                 ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
                 break
             fi
@@ -708,7 +708,7 @@
 
             if test x"${ac_cv_c_tclconfig}" = x ; then
         	ccpath=`which ${CC}  | sed -e 's:/bin/.*::'`/lib
-        if test -f $ccpath/tclConfig.sh; then
+        if test -f $ccpath/tcl8Config.sh; then
 	    ac_cv_c_tclconfig=$ccpath
         fi
     fi
@@ -720,7 +720,7 @@
         echo "configure: warning: Can't find Tcl configuration definitions" 1>&2
     else
         no_tcl=""
-        TCLCONFIG=${ac_cv_c_tclconfig}/tclConfig.sh
+        TCLCONFIG=${ac_cv_c_tclconfig}/tcl8Config.sh
         echo "$ac_t""${TCLCONFIG}" 1>&6
      fi
 fi