--- ./unix/configure.00	2003-03-03 19:58:12.000000000 +0000
+++ ./unix/configure	2003-09-11 05:17:25.800000261 +0000
@@ -19,7 +19,7 @@
 ac_help="$ac_help
   --enable-threads        build with threads"
 ac_help="$ac_help
-  --with-tcl              directory containing tcl configuration (tclConfig.sh)"
+  --with-tcl              directory containing tcl configuration (tcl8Config.sh)"
 ac_help="$ac_help
   --enable-shared         build and link with shared libraries [--enable-shared]"
 ac_help="$ac_help
@@ -1671,7 +1671,7 @@
     fi
 
 #--------------------------------------------------------------------
-# Find and load the tclConfig.sh file
+# Find and load the tcl8Config.sh file
 #--------------------------------------------------------------------
 
 
@@ -1699,10 +1699,10 @@
 
 	    # First check to see if --with-tcl was specified.
 	    if test x"${with_tclconfig}" != x ; then
-		if test -f "${with_tclconfig}/tclConfig.sh" ; then
+		if test -f "${with_tclconfig}/tcl8Config.sh" ; then
 		    ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
 		else
-		    { echo "configure: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" 1>&2; exit 1; }
+		    { echo "configure: error: ${with_tclconfig} directory doesn't contain tcl8Config.sh" 1>&2; exit 1; }
 		fi
 	    fi
 
@@ -1715,7 +1715,7 @@
 			`ls -dr ../../tcl[8-9].[0-9]* 2>/dev/null` \
 			../../../tcl \
 			`ls -dr ../../../tcl[8-9].[0-9]* 2>/dev/null` ; do
-		    if test -f "$i/unix/tclConfig.sh" ; then
+		    if test -f "$i/unix/tcl8Config.sh" ; then
 			ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
 			break
 		    fi
@@ -1729,7 +1729,7 @@
 			`ls -d /usr/contrib/lib 2>/dev/null` \
 			`ls -d /usr/lib 2>/dev/null` \
 			; do
-		    if test -f "$i/tclConfig.sh" ; then
+		    if test -f "$i/tcl8Config.sh" ; then
 			ac_cv_c_tclconfig=`(cd $i; pwd)`
 			break
 		    fi
@@ -1741,7 +1741,7 @@
 		for i in \
 			${srcdir}/../tcl \
 			`ls -dr ${srcdir}/../tcl[8-9].[0-9]* 2>/dev/null` ; do
-		    if test -f "$i/unix/tclConfig.sh" ; then
+		    if test -f "$i/unix/tcl8Config.sh" ; then
 		    ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
 		    break
 		fi
@@ -1758,17 +1758,17 @@
 	else
 	    no_tcl=
 	    TCL_BIN_DIR=${ac_cv_c_tclconfig}
-	    echo "$ac_t""found $TCL_BIN_DIR/tclConfig.sh" 1>&6
+	    echo "$ac_t""found $TCL_BIN_DIR/tcl8Config.sh" 1>&6
 	fi
     fi
 
 
-    echo $ac_n "checking for existence of $TCL_BIN_DIR/tclConfig.sh""... $ac_c" 1>&6
-echo "configure:1768: checking for existence of $TCL_BIN_DIR/tclConfig.sh" >&5
+    echo $ac_n "checking for existence of $TCL_BIN_DIR/tcl8Config.sh""... $ac_c" 1>&6
+echo "configure:1768: checking for existence of $TCL_BIN_DIR/tcl8Config.sh" >&5
 
-    if test -f "$TCL_BIN_DIR/tclConfig.sh" ; then
+    if test -f "$TCL_BIN_DIR/tcl8Config.sh" ; then
         echo "$ac_t""loading" 1>&6
-	. $TCL_BIN_DIR/tclConfig.sh
+	. $TCL_BIN_DIR/tcl8Config.sh
     else
         echo "$ac_t""file not found" 1>&6
     fi
--- ./unix/tcl.m4.00	2003-09-11 05:15:54.000000000 +0000
+++ ./unix/tcl.m4	2003-09-11 05:18:16.350000091 +0000
@@ -1,7 +1,7 @@
 #------------------------------------------------------------------------
 # SC_PATH_TCLCONFIG --
 #
-#	Locate the tclConfig.sh file and perform a sanity check on
+#	Locate the tcl8Config.sh file and perform a sanity check on
 #	the Tcl compile flags
 #
 # Arguments:
@@ -14,7 +14,7 @@
 #
 #	Defines the following vars:
 #		TCL_BIN_DIR	Full path to the directory containing
-#				the tclConfig.sh file
+#				the tcl8Config.sh file
 #------------------------------------------------------------------------
 
 AC_DEFUN(SC_PATH_TCLCONFIG, [
@@ -27,16 +27,16 @@
     if test x"${no_tcl}" = x ; then
 	# we reset no_tcl in case something fails here
 	no_tcl=true
-	AC_ARG_WITH(tcl, [  --with-tcl              directory containing tcl configuration (tclConfig.sh)], with_tclconfig=${withval})
+	AC_ARG_WITH(tcl, [  --with-tcl              directory containing tcl configuration (tcl8Config.sh)], with_tclconfig=${withval})
 	AC_MSG_CHECKING([for Tcl configuration])
 	AC_CACHE_VAL(ac_cv_c_tclconfig,[
 
 	    # First check to see if --with-tcl was specified.
 	    if test x"${with_tclconfig}" != x ; then
-		if test -f "${with_tclconfig}/tclConfig.sh" ; then
+		if test -f "${with_tclconfig}/tcl8Config.sh" ; then
 		    ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
 		else
-		    AC_MSG_ERROR([${with_tclconfig} directory doesn't contain tclConfig.sh])
+		    AC_MSG_ERROR([${with_tclconfig} directory doesn't contain tcl8Config.sh])
 		fi
 	    fi
 
@@ -49,7 +49,7 @@
 			`ls -dr ../../tcl[[8-9]].[[0-9]]* 2>/dev/null` \
 			../../../tcl \
 			`ls -dr ../../../tcl[[8-9]].[[0-9]]* 2>/dev/null` ; do
-		    if test -f "$i/unix/tclConfig.sh" ; then
+		    if test -f "$i/unix/tcl8Config.sh" ; then
 			ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
 			break
 		    fi
@@ -63,7 +63,7 @@
 			`ls -d /usr/contrib/lib 2>/dev/null` \
 			`ls -d /usr/lib 2>/dev/null` \
 			; do
-		    if test -f "$i/tclConfig.sh" ; then
+		    if test -f "$i/tcl8Config.sh" ; then
 			ac_cv_c_tclconfig=`(cd $i; pwd)`
 			break
 		    fi
@@ -75,7 +75,7 @@
 		for i in \
 			${srcdir}/../tcl \
 			`ls -dr ${srcdir}/../tcl[[8-9]].[[0-9]]* 2>/dev/null` ; do
-		    if test -f "$i/unix/tclConfig.sh" ; then
+		    if test -f "$i/unix/tcl8Config.sh" ; then
 		    ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
 		    break
 		fi
@@ -90,7 +90,7 @@
 	else
 	    no_tcl=
 	    TCL_BIN_DIR=${ac_cv_c_tclconfig}
-	    AC_MSG_RESULT(found $TCL_BIN_DIR/tclConfig.sh)
+	    AC_MSG_RESULT(found $TCL_BIN_DIR/tcl8Config.sh)
 	fi
     fi
 ])
@@ -192,7 +192,7 @@
 #------------------------------------------------------------------------
 # SC_LOAD_TCLCONFIG --
 #
-#	Load the tclConfig.sh file
+#	Load the tcl8Config.sh file
 #
 # Arguments:
 #	
@@ -209,11 +209,11 @@
 #------------------------------------------------------------------------
 
 AC_DEFUN(SC_LOAD_TCLCONFIG, [
-    AC_MSG_CHECKING([for existence of $TCL_BIN_DIR/tclConfig.sh])
+    AC_MSG_CHECKING([for existence of $TCL_BIN_DIR/tcl8Config.sh])
 
-    if test -f "$TCL_BIN_DIR/tclConfig.sh" ; then
+    if test -f "$TCL_BIN_DIR/tcl8Config.sh" ; then
         AC_MSG_RESULT([loading])
-	. $TCL_BIN_DIR/tclConfig.sh
+	. $TCL_BIN_DIR/tcl8Config.sh
     else
         AC_MSG_RESULT([file not found])
     fi
@@ -680,7 +680,7 @@
 #                       to use shared libraries on this platform.
 # TCL_SHLIB_LD_EXTRAS - Additional element which are added to SHLIB_LD_LIBS
 #  TK_SHLIB_LD_EXTRAS   for the build of Tcl and Tk, but not recorded in the
-#                       tclConfig.sh, since they are only used for the build
+#                       tcl8Config.sh, since they are only used for the build
 #                       of Tcl and Tk. 
 #                       Examples: MacOS X records the library version and
 #                       compatibility version in the shared library.  But